# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2018 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2018, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from pynfe.xml_sped.base import XMLNFe, NAMESPACE_SIG, NohXML
from . import NAMESPACE_MDFE


def _le_nohs(self, tag, ns=None):
    # Tenta ler a tag sem os namespaces. Necessario para ler corretamente as tags de grupo
    if not ns:
        try:
            nohs = self._xml.xpath(tag)
            if len(nohs) >= 1:
                return nohs
        except Exception as err:
            if err:
                pass

    # Se nao der certo, tenta com os namespaces
    namespaces = {'sig': NAMESPACE_SIG, 'mdfe': NAMESPACE_MDFE}
    for key in namespaces:
        prefix_xmlns = '/%s:' % key
        ntag = prefix_xmlns.join(tag.split('/'))
        ntag = ntag.replace(prefix_xmlns * 2, '//%s:' % key).replace('%s:sig:' % key, 'sig:')
        nohs = self._xml is not None and self._xml.xpath(ntag, namespaces=namespaces) or []
        if len(nohs) >= 1:
            return nohs

    return None


class XMLMDFe(XMLNFe):
    def __init__(self, *args, **kwargs):
        super(XMLMDFe, self).__init__(*args, **kwargs)
        setattr(NohXML, '_le_nohs', _le_nohs)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
