# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from pynfe.nfe.manual_500.webservices_3 import ESTADO_WS
from pynfe.nfce.manual_600.webservices_flag import *
from .webservices_flag import *


__versao__ = (4, 0, 0)
VERSAO = '{}.{}{}'.format(*__versao__)

# Os ´Web Services´ dos estados passam a ter versao a fim de que se possa ter controle entre as
# diferentes versoes de um mesmo servico
ESTADO_WS = {
    VERSAO: {
        UF: {
            AMBIENTE: {
                SERVICO: ESTADO_WS[UF][AMBIENTE][SERVICO].copy()
                for SERVICO in list(ESTADO_WS[UF][AMBIENTE].keys())
            } for AMBIENTE in list(ESTADO_WS[UF].keys())
        } for UF in list(ESTADO_WS.keys())
    }
}

#
# SEFAZ Virtual Rio Grande do Sul - Producao
#
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_CONSULTA_PROTOCOLO] = dict(
    servidor='nfce.svrs.rs.gov.br', webservice='NFeConsulta4', metodo='nfeConsultaNF',
    url='ws/NfeConsulta/NfeConsulta4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsulta4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_STATUS_SERVICO] = dict(
    servidor='nfce.svrs.rs.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_INUTILIZACAO] = dict(
    servidor='nfce.svrs.rs.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_AUTORIZACAO] = dict(
    servidor='nfce.svrs.rs.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_RET_AUTORIZACAO] = dict(
    servidor='nfce.svrs.rs.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfce.svrs.rs.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='ws/recepcaoevento/recepcaoevento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcaoEvento4')

#
# SEFAZ Virtual Rio Grande do Sul - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_PROTOCOLO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_CONSULTA_PROTOCOLO],
    servidor='nfce-homologacao.svrs.rs.gov.br')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_STATUS_SERVICO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_STATUS_SERVICO],
    servidor='nfce-homologacao.svrs.rs.gov.br')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_INUTILIZACAO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_INUTILIZACAO],
    servidor='nfce-homologacao.svrs.rs.gov.br')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_AUTORIZACAO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_AUTORIZACAO],
    servidor='nfce-homologacao.svrs.rs.gov.br')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_RET_AUTORIZACAO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_RET_AUTORIZACAO],
    servidor='nfce-homologacao.svrs.rs.gov.br')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO],
    servidor='nfce-homologacao.svrs.rs.gov.br')


#
# SEFAZ Amazonas - Ambiente de producao
#
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_CONSULTA_CHAVE] = dict(
    url='http://sistemas.sefaz.am.gov.br/nfceweb-hom/formConsulta.do')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_CONSULTA_QRCODE] = dict(
    url='https://sistemas.sefaz.am.gov.br/nfceweb-hom/consultarNFCe.jsp')

ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_CONSULTA_PROTOCOLO] = dict(
    servidor='nfce.sefaz.am.gov.br', webservice='NFeConsulta4', metodo='nfeConsultaNF',
    url='nfce-services/services/NfeConsulta4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsulta4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_STATUS_SERVICO] = dict(
    servidor='nfce.sefaz.am.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='nfce-services/services/NfeStatusServico4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_INUTILIZACAO] = dict(
    servidor='nfce.sefaz.am.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='nfce-services/services/NfeInutilizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_AUTORIZACAO] = dict(
    servidor='nfce.sefaz.am.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='nfce-services/services/NfeAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_RET_AUTORIZACAO] = dict(
    servidor='nfce.sefaz.am.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='nfce-services/services/NfeRetAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfce.sefaz.am.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='nfce-services/services/NfeRecepcaoEvento4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcaoEvento4')

#
# SEFAZ Amazonas - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_CHAVE] = dict(
    url='http://sistemas.sefaz.am.gov.br/nfceweb-hom/formConsulta.do')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_QRCODE] = dict(
    url='https://sistemas.sefaz.am.gov.br/nfceweb-hom/consultarNFCe.jsp')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_PROTOCOLO] = dict(
    servidor='homnfce.sefaz.am.gov.br', webservice='NfeConsulta2', metodo='nfeConsultaNF',
    url='nfce-services-nac/services/NfeConsulta2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsulta4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_STATUS_SERVICO] = dict(
    servidor='homnfce.sefaz.am.gov.br', webservice='NfeStatusServico2',
    metodo='nfeStatusServicoNF', url='nfce-services-nac/services/NfeStatusServico2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_INUTILIZACAO] = dict(
    servidor='homnfce.sefaz.am.gov.br', webservice='NfeInutilizacao2', metodo='nfeInutilizacaoNF',
    url='nfce-services-nac/services/NfeInutilizacao2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_AUTORIZACAO] = dict(
    servidor='homnfce.sefaz.am.gov.br', webservice='NfeAutorizacao',
    metodo='nfeRetAutorizacaoLote', url='nfce-services-nac/services/NfeAutorizacao',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_RET_AUTORIZACAO] = dict(
    servidor='homnfce.sefaz.am.gov.br', webservice='NfeRetAutorizacao',
    metodo='nfeRetAutorizacaoLote', url='nfce-services-nac/services/NfeRetAutorizacao',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='homnfce.sefaz.am.gov.br', webservice='RecepcaoEvento',
    metodo='nfeRecepcaoEvento', url='nfce-services-nac/services/RecepcaoEvento',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcaoEvento4')


#
# SEFAZ Bahia - Ambiente de producao
#
# Nao implementado

#
# SEFAZ Bahia - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_PROTOCOLO] = dict(
    servidor='nfce-homologacao.svrs.rs.gov.br', webservice='NFeConsulta4',
    metodo='nfeConsultaNF', url='ws/NfeConsulta/NfeConsulta4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsulta4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_STATUS_SERVICO] = dict(
    servidor='nfce-homologacao.svrs.rs.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_INUTILIZACAO] = dict(
    servidor='nfce-homologacao.svrs.rs.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_AUTORIZACAO] = dict(
    servidor='nfce-homologacao.svrs.rs.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_RET_AUTORIZACAO] = dict(
    servidor='nfce-homologacao.svrs.rs.gov.br', webservice='NFeRetAutorizacao',
    metodo='nfeRetAutorizacaoLote', url='ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfce-homologacao.svrs.rs.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='ws/recepcaoevento/recepcaoevento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcaoEvento')


#
# SEFAZ Minas Gerais - Ambiente de producao
#
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_CONSULTA_CHAVE] = dict(
    url='https://portalsped.fazenda.mg.gov.br/portalnfce')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_CONSULTA_QRCODE] = dict(
    url='https://portalsped.fazenda.mg.gov.br/portalnfce/sistema/qrcode.xhtml')
    # url='https://nfce.fazenda.mg.gov.br/portalnfce/sistema/qrcode.xhtml')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_CONSULTA_PROTOCOLO] = dict(
    servidor='nfce.fazenda.mg.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='nfce/services/NFeConsultaProtocolo4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsulta4', )
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_STATUS_SERVICO] = dict(
    servidor='nfce.fazenda.mg.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='nfce/services/NFeStatusServico4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_INUTILIZACAO] = dict(
    servidor='nfce.fazenda.mg.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='nfce/services/NFeInutilizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_AUTORIZACAO] = dict(
    servidor='nfce.fazenda.mg.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='nfce/services/NFeAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_RET_AUTORIZACAO] = dict(
    servidor='nfce.fazenda.mg.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='nfce/services/NFeRetAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfce.fazenda.mg.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='nfce/services/NFeRecepcaoEvento4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcaoEvento4')

#
# SEFAZ Minas Gerais - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_CHAVE] = dict(
    url='https://hportalsped.fazenda.mg.gov.br/portalnfce')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_QRCODE] = \
    ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_CONSULTA_QRCODE]
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_PROTOCOLO] = dict(
    servidor='hnfce.fazenda.mg.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='nfce/services/NFeConsultaProtocolo4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsulta4', )
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_STATUS_SERVICO] = dict(
    servidor='hnfce.fazenda.mg.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='nfce/services/NFeStatusServico4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_INUTILIZACAO] = dict(
    servidor='hnfce.fazenda.mg.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='nfce/services/NFeInutilizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_AUTORIZACAO] = dict(
    servidor='hnfce.fazenda.mg.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='nfce/services/NFeAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_RET_AUTORIZACAO] = dict(
    servidor='hnfce.fazenda.mg.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='nfce/services/NFeRetAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='hnfce.fazenda.mg.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='nfce/services/NFeRecepcaoEvento4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcaoEvento4')

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
