# -*- coding: utf-8 -*-

from . import ProtNFe_200, RetCancNFe_200
from ..manual_300 import conssitnfe_107
from pynfe.xml_sped.base import *
from . import ESQUEMA_ATUAL
import os


DIRNAME = os.path.dirname(__file__)


class ConsSitNFe(conssitnfe_107.ConsSitNFe):
    def __init__(self):
        super(ConsSitNFe, self).__init__()
        self.versao = TagDecimal(nome='consSitNFe', codigo='EP01', propriedade='versao', namespace=NAMESPACE_NFE, valor='2.01', raiz='/')
        self.caminho_esquema = os.path.join(DIRNAME, 'schema', ESQUEMA_ATUAL + '/')
        self.arquivo_esquema = 'consSitNFe_v2.01.xsd'


class RetConsSitNFe(conssitnfe_107.RetConsSitNFe):
    def __init__(self):
        super(RetConsSitNFe, self).__init__()
        self.versao = TagDecimal(nome='retConsSitNFe', codigo='ER01', propriedade='versao', namespace=NAMESPACE_NFE, valor='2.01', raiz='/')
        self.tpAmb = TagInteiro(nome='tpAmb', codigo='ER03', tamanho=[1, 1, 1], raiz='//retConsSitNFe')
        self.verAplic = TagCaracter(nome='verAplic', codigo='ER04', tamanho=[1, 20], raiz='//retConsSitNFe')
        self.cStat = TagCaracter(nome='cStat', codigo='ER05', tamanho=[1, 3], raiz='//retConsSitNFe')
        self.xMotivo = TagCaracter(nome='xMotivo', codigo='ER06', tamanho=[1, 2000], raiz='//retConsSitNFe')
        self.cUF = TagInteiro(nome='cUF', codigo='ER07', tamanho=[2, 2, 2], raiz='//retConsSitNFe')
        self.chNFe = TagCaracter(nome='chNFe', codigo='ER07a', tamanho=[44, 44], raiz='//retConsSitNFe', obrigatorio=False)
        self.protNFe = None
        self.retCancNFe = None
        self.caminho_esquema = os.path.join(DIRNAME, 'schema', ESQUEMA_ATUAL + '/')
        self.arquivo_esquema = 'retConsSitNFe_v2.01.xsd'

    @property
    def xml(self):
        xml = XMLNFe.xml.fget(self)
        xml += ABERTURA
        xml += self.versao.xml
        xml += self.tpAmb.xml
        xml += self.verAplic.xml
        xml += self.cStat.xml
        xml += self.xMotivo.xml
        xml += self.cUF.xml
        xml += self.chNFe.xml
        if self.protNFe is not None:
            xml += self.protNFe.xml
        if self.retCancNFe is not None:
            xml += self.retCancNFe.raw_xml()
        xml += '</retConsSitNFe>'
        return xml

    @xml.setter
    def xml(self, arquivo):
        if self._le_xml(arquivo):
            self.versao.xml = arquivo
            self.tpAmb.xml = arquivo
            self.verAplic.xml = arquivo
            self.cStat.xml = arquivo
            self.xMotivo.xml = arquivo
            self.cUF.xml = arquivo
            self.chNFe.xml = arquivo

            if self._le_noh('//retConsSitNFe/protNFe') is not None:
                self.protNFe = ProtNFe_200()
                self.protNFe.xml = arquivo

            if self._le_noh('//retConsSitNFe/retCancNFe') is not None:
                self.retCancNFe = RetCancNFe_200()
                self.retCancNFe.xml = arquivo


