# -*- coding: utf-8 -*-

from ..manual_401 import soap_200
from pynfe.xml_sped.base import TagDecimal, XMLNFe
import os

DIRNAME = os.path.dirname(__file__)


class NFeCabecMsg(soap_200.NFeCabecMsg):
    def __init__(self):
        super(NFeCabecMsg, self).__init__()
        self.versaoDados = TagDecimal(
            nome='versaoDados', codigo='', raiz='//cabecMsg', tamanho=[1, 4], valor='3.10')
        self.namespace = ''

    @property
    def xml(self):
        xml = XMLNFe.xml.fget(self)
        xml += '<nfeCabecMsg xmlns="' + self.namespace + '">'
        xml += self.cUF.xml
        xml += self.versaoDados.xml
        xml += '</nfeCabecMsg>'
        return xml


class NFeDadosMsg(soap_200.NFeDadosMsg):
    def __init__(self):
        super(NFeDadosMsg, self).__init__()
        self.namespace = ''

    @property
    def xml(self):
        xml = XMLNFe.xml.fget(self)
        xml += '<nfeDadosMsg xmlns="' + self.namespace + '">'
        xml += self.dados.raw_xml()
        xml += '</nfeDadosMsg>'
        return xml


class SOAPEnvio(soap_200.SOAPEnvio):
    def __init__(self):
        super(SOAPEnvio, self).__init__()
        self.namespace = ''


class SOAPRetorno(soap_200.SOAPRetorno):
    def __init__(self):
        super(SOAPRetorno, self).__init__()
        self.namespace = ''

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
